Subject: bug#8940: Evidence of bug in `random'

From: Rafael D Sorkin <[email-masked]>
Date: Sun, 26 Jun 2011 23:40:18 -0400

The following report refers to this version of emacs: 

  GNU Emacs 23.2.1 (x86_64-pc-linux-gnu, GTK+ Version 2.24.4) of
  2011-04-04 on crested, modified by Debian

Hello,

I'm sorry to submit a rather vague report, but I have found
strong evidence of some sort of problem with the random number
generator `random'.  I see the difficulty only indirectly in
some simulations I'm running.  Results obtained from elisp's
`random' disagree by over 6 sigma with results obtained from
`mt-random' (the "mersenne twister") or from the built-in
functions in both clisp and sbcl.  

Perhaps you could check for changes from earlier versions.
The problem seems absent from version 22.1.1.

Here's some info on the hardware from /proc/cpuinfo
  processor       : 0
  vendor_id       : GenuineIntel
  cpu family      : 6
  model           : 15
  model name      : Intel(R) Xeon(R) CPU           E5335  @
  2.00GHz
  stepping        : 11
  cpu MHz         : 1995.000
  cache size      : 4096 KB
  fpu             : yes
  fpu_exception   : yes
  cpuid level     : 10
  wp              : yes
  flags           : fpu vme de pse tsc msr pae mce cx8 apic sep
  mtrr pge mca cmov pat pse36 clflush dts acpi mmx fxsr sse sse2
  ss syscall lm constant_tsc arch\
  _perfmon pebs bts rep_good nopl tsc_reliable aperfmperf pni
  ssse3 cx16 hypervisor lahf_lm dts
  bogomips        : 3990.00
  clflush size    : 64
  cache_alignment : 64
  address sizes   : 40 bits physical, 48 bits virtual
  power management:

Thanks,

~-~-~-~-~-~-~-~-~-~-~-~-~-~-~-~-~-~-~-~-~-~-~
 Rafael Sorkin
 Perimeter Institute for Theoretical Physics
 31 Caroline Street North
 Waterloo, ON  N2L 2Y5
 Canada
~-~-~-~-~-~-~-~-~-~-~-~-~-~-~-~-~-~-~-~-~-~-~